WordPress.org

Ready to get started?Download WordPress

Forums

superfish & galleria WP jquery conflict? (5 posts)

  1. trixienolix
    Member
    Posted 4 years ago #

    hi i'm using a graph paper press theme called Fullscreen and it uses a superfish menu (this is like the suckerfish menus). This calls in lots of .js files including jquery ones. It works fine on its own but when I add another jquery plugin "galleria WP" the superfish menu breaks in IE.

    i guess this a jquery conflict. I've been reading about using noConflict() but can't find an idiot's guide to what to put in where.

    You can see the mess in action here (in IE): http://www.jasia.net/wordpress/. The menu stays open.. when i deactivate the galleria plugin it's fine.

    The theme uses these files:

    <script type='text/javascript' src='http://www.jasia.net/wordpress/wp-includes/js/jquery/jquery.js?ver=1.3.2'></script>
    <script type='text/javascript' src='http://www.jasia.net/wordpress/wp-content/themes/fullscreen/js/jquery-ui-1.7.2.custom.min.js?ver=2.8.4'></script>
    <script type='text/javascript' src='http://www.jasia.net/wordpress/wp-content/themes/fullscreen/js//nav/superfish.js?ver=2.8.4'></script>
    <script type='text/javascript' src='http://www.jasia.net/wordpress/wp-content/themes/fullscreen/js//nav/jquery.bgiframe.min.js?ver=2.8.4'></script>

    The galleria plugin uses these:

    <script type='text/javascript' src='http://www.jasia.net/wordpress/wp-content/plugins/galleria-wp/js/jquery-1.2.6.min.js'></script>
    <script type='text/javascript' src='http://www.jasia.net/wordpress/wp-content/plugins/galleria-wp/js/jquery.galleria.js'></script>
    <script type='text/javascript' src='http://www.jasia.net/wordpress/wp-content/plugins/galleria-wp/js/jquery.jcarousel.js'></script>

    Any help gratefully received as this is currently on a live site elsewhere.

  2. deepakkloos
    Member
    Posted 4 years ago #

    Hi,
    I have the same problem with Galleria WP and On-Assignment theme (Modularity by graphpaperpress).
    The theme doesn't work with the old version of jQuery, the plugin doesn't work with the new one.

    Any suggestions how to fix this?

    Deepak

  3. Luke Rumley
    Member
    Posted 4 years ago #

    Two calls to jQuery...eliminate one.

  4. Luke Rumley
    Member
    Posted 4 years ago #

    Sorry...just read @deepakkloos post. Not so simple a solution. This article proposed using jQuery.noConflict();

    I don't think I would feel to secure in that solution. Might work though.

    The latest version of Galleria has been updated to work with jQuery 1.4.2, so you should upgrade the plugin and remove the call to the old jQuery library (if you haven't already) and be good to go.

  5. spiranovich
    Member
    Posted 3 years ago #

    I'm experiencing similar issues. I am using GPP modularity-lite and now that I've installed the Galleria-wp plugin, my homepage slideshow doesn't work. I too am confused regarding the no conflict code.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.